Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.context
Class Style

    java.lang.Object
      org.deegree.portal.context.Style

    public class Style

extends Object

this class encapsulates the style description as defined by the OGC Web Map Context specification

Version:
  $Revision: 18195 $
Author:
  Andreas Poth

Constructor Summary
`Style(SLD sld, boolean current)` Creates a new Style object.
`Style(String name, String title, String abstract_, ImageURL legendURL, boolean current)` Creates a new Style object.

Method Summary
`String` | `getAbstract()` A narrative description of the current style (extracted from Capabilities by the Context document creator).
`ImageURL` | `getLegendURL()` The location of an image of a map legend describing the current style (extracted from Capabilities by the Context document creator).
`String` | `getName()` The name of the style (extracted from Capabilities by the Context document creator).
`SLD` | `getSld()` Each <Style> element may alternatively define the style(s) of the layer with a <SLD> element.
`String` | `getTitle()` The human-readable title of the style (extracted from Capabilities by the Context document creator).
`boolean` | `isCurrent()` returns true the current style is selected.
`void` | `setAbstract(String abstract_)`
`void` | `setCurrent(boolean current)`
`void` | `setLegendURL(ImageURL legendURL)`
`void` | `setName(String name)`
`void` | `setSld(SLD sld)`
`void` | `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Style

    public Style(String name,
                 String title,
                 String abstract_,
                 ImageURL legendURL,
                 boolean current)
          throws ContextException

  Creates a new Style object.

  Parameters:
    `name` - The name of the style
    `title` - The human-readable title of the style
    `abstract_` - A narrative description of the current style
    `legendURL` - location of an image of a map legend describing the current style
    `current` - true the current style is selected.
  Throws:
    `ContextException`

### Style

    public Style(SLD sld,
                 boolean current)
          throws ContextException

  Creates a new Style object.

  Parameters:
    `sld` - define the style(s) of the layer with a element.
    `current` - true the current style is selected.
  Throws:
    `ContextException`

Method Detail

### getName

    public String getName()

  The name of the style (extracted from Capabilities by the Context document creator).

  Returns:
    the name of the style (extracted from Capabilities by the Context document creator).

### getTitle

    public String getTitle()

  The human-readable title of the style (extracted from Capabilities by the Context document creator).

  Returns:
    The human-readable title

### getAbstract

    public String getAbstract()

  A narrative description of the current style (extracted from Capabilities by the Context document creator).

  Returns:
    A narrative description of the current style

### getLegendURL

    public ImageURL getLegendURL()

  The location of an image of a map legend describing the current style (extracted from Capabilities by the Context document creator).

  Returns:
    The location of an image of a map legend

### getSld

    public SLD getSld()

  Each <Style> element may alternatively define the style(s) of the layer with a <SLD> element.

  Returns:
    a <SLD> element.

### isCurrent

    public boolean isCurrent()

  returns true the current style is selected.

  Returns:
    true if the current style is selected.

### setName

    public void setName(String name)
                 throws ContextException

  Parameters:
    `name` - to set
  Throws:
    `ContextException` - if the name or the sld is null

### setTitle

    public void setTitle(String title)
                  throws ContextException

  Parameters:
    `title` - to set
  Throws:
    `ContextException` - if the name or the sld is null

### setAbstract

    public void setAbstract(String abstract_)

  Parameters:
    `abstract_` - to set

### setLegendURL

    public void setLegendURL(ImageURL legendURL)

  Parameters:
    `legendURL` - to set

### setSld

    public void setSld(SLD sld)
                throws ContextException

  Parameters:
    `sld` - to set
  Throws:
    `ContextException` - if the name or the sld is null

### setCurrent

    public void setCurrent(boolean current)

  Parameters:
    `current` - to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org